Package com.independentsoft.office.odf.styles

# Class SectionStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.BaseStyle
com.independentsoft.office.odf.styles.SectionStyle

public class SectionStyle extends BaseStyle
Represents the section style.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `className, dataStyle, enableAutoUpdate, family, linkedStyleName, listStyle, masterPageName, nextStyle, outlineLevelEmpty, outlineNumberingLevel, parentStyle, styleMappings`

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionStyle()`
  Initializes a new instance of the SectionStyle class.
  `SectionStyle​(String name)`
  Initializes a new instance of the SectionStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SectionStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getBackgroundColor()`
  Gets the background color for the section.
  `BackgroundImage`
  `getBackgroundImage()`
  Gets the background image.
  `Size`
  `getColumnGap()`
  Gets the gap between columns.
  `List<SectionColumn>`
  `getColumns()`
  Contains a collection of SectionColumn objects.
  `Size`
  `getLeftMargin()`
  Gets the left margin of the section.
  `Size`
  `getRightMargin()`
  Gets the right margin of the section.
  `ColumnSeparator`
  `getSeparator()`
  Gets the separator line between columns.
  `WritingMode`
  `getWritingMode()`
  Gets the writing mode for an element.
  `boolean`
  `isDontBalanceTextColumns()`
  Specifies whether the text column content should be evenly distributed over all text columns or not.
  `boolean`
  `isProtect()`
  Specifies that sections should not be changed.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color for the section.
  `void`
  `setBackgroundImage​(BackgroundImage backgroundImage)`
  Sets the background image.
  `void`
  `setColumnGap​(Size columnGap)`
  Sets the gap between columns.
  `void`
  `setDontBalanceTextColumns​(boolean dontBalanceTextColumns)`
  Specifies whether the text column content should be evenly distributed over all text columns or not.
  `void`
  `setLeftMargin​(Size leftMargin)`
  Sets the left margin of the section.
  `void`
  `setProtect​(boolean protect)`
  Specifies that sections should not be changed.
  `void`
  `setRightMargin​(Size rightMargin)`
  Sets the right margin of the section.
  `void`
  `setSeparator​(ColumnSeparator separator)`
  Sets the separator line between columns.
  `void`
  `setWritingMode​(WritingMode writingMode)`
  Sets the writing mode for an element.
  `String`
  `toString()`
  Converts the value of the current SectionStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `getClassName, getDataStyle, getFamily, getListStyle, getMasterPageName, getNextStyle, getOutlineNumberingLevel, getParentStyle, getStyleMappings, isEnableAutoUpdate, setClassName, setDataStyle, setEnableAutoUpdate, setListStyle, setMasterPageName, setNextStyle, setOutlineNumberingLevel, setParentStyle, toString`

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SectionStyle

    public SectionStyle()
    Initializes a new instance of the SectionStyle class.

  - ### SectionStyle

    public SectionStyle​(String name)
    Initializes a new instance of the SectionStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public SectionStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `BaseStyle`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SectionStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `BaseStyle`
    Returns:
      the string

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color for the section.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color for the section.
    Parameters:
      `backgroundColor` - the new background color

  - ### getLeftMargin

    public Size getLeftMargin()
    Gets the left margin of the section.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(Size leftMargin)
    Sets the left margin of the section.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public Size getRightMargin()
    Gets the right margin of the section.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(Size rightMargin)
    Sets the right margin of the section.
    Parameters:
      `rightMargin` - the new right margin

  - ### getSeparator

    public ColumnSeparator getSeparator()
    Gets the separator line between columns.
    Returns:
      the separator

  - ### setSeparator

    public void setSeparator​(ColumnSeparator separator)
    Sets the separator line between columns.
    Parameters:
      `separator` - the new separator

  - ### getColumnGap

    public Size getColumnGap()
    Gets the gap between columns.
    Returns:
      the column gap

  - ### setColumnGap

    public void setColumnGap​(Size columnGap)
    Sets the gap between columns.
    Parameters:
      `columnGap` - the new column gap

  - ### getColumns

    public List<SectionColumn> getColumns()
    Contains a collection of SectionColumn objects.
    Returns:
      the columns

  - ### isProtect

    public boolean isProtect()
    Specifies that sections should not be changed.
    Returns:
      true, if is protect

  - ### setProtect

    public void setProtect​(boolean protect)
    Specifies that sections should not be changed.
    Parameters:
      `protect` - the new protect

  - ### isDontBalanceTextColumns

    public boolean isDontBalanceTextColumns()
    Specifies whether the text column content should be evenly distributed over all text columns or not.
    Returns:
      true, if is dont balance text columns

  - ### setDontBalanceTextColumns

    public void setDontBalanceTextColumns​(boolean dontBalanceTextColumns)
    Specifies whether the text column content should be evenly distributed over all text columns or not.
    Parameters:
      `dontBalanceTextColumns` - the new dont balance text columns

  - ### getWritingMode

    public WritingMode getWritingMode()
    Gets the writing mode for an element.
    Returns:
      the writing mode

  - ### setWritingMode

    public void setWritingMode​(WritingMode writingMode)
    Sets the writing mode for an element.
    Parameters:
      `writingMode` - the new writing mode

  - ### getBackgroundImage

    public BackgroundImage getBackgroundImage()
    Gets the background image.
    Returns:
      the background image

  - ### setBackgroundImage

    public void setBackgroundImage​(BackgroundImage backgroundImage)
    Sets the background image.
    Parameters:
      `backgroundImage` - the new background image